<%Response.buffer=true%>
<%
	'This script is called by the Abstract page or LMS server
	'Input - via "GET" (Course_ID, Uid, N, Email, Durl, etc.)
	'Output - via redirect (start.asp?Training_ID=[])
	'Work - Look for a record in Training table containing passed values for Uid and Course_ID.
	'		If found, retrieve Training_ID, redirect.
	'		If not found, insert record, retrieve Training_ID, redirect.
	'Author - Travis M. Lynch and Farzin Navidi, Carney Interactive, 3/29/01 --->
	'
	'04/03/01;TML;Ported to a more generic environment outside Accenture's Launch site
	'01/25/01;BDD;Cleaned up recordset management.
	'12/06/00;FNK;Replaced # with ' to reference dates in SQL Server.  
	'            ;Changes will not work in MS Access.
	'11/30/00;FNK;Added additional match on timestamp to get newly inserted Training_ID.
	'11/21/00;FNK;Capture timestamp only First time user starts module.
	'11/20/00;FNK;Capture timestamp every time user starts module per AC requirement.
	'10/01/00;FNK;Created.
	'9/30/00;TML;Designed database architecture & technical specification for this file
	
	'Declaration of database connection objects
	Dim rs, conn
	
	'Declaration of a variable to catch database connection errors
	ErrFlag = 0
	
	'Get Inputs from URLstring
	Uid = Trim(Request("Uid"))
	M = Trim(Request("M"))

	'Initialize database connection objects
	Set conn = server.createobject("adodb.connection")
	Set rs = server.createobject("adodb.recordset")
	
	'Open database connection
	'conn.open "DSN=training;uid=sa;pwd=;"                 'SQL Server 7 on Win2000
	conn.open "DSN=training";                              'MS Access 2000 on NT4.0
	
	' Search for an existing Training_ID.
	sql = "SELECT * FROM Training WHERE "
	sql = sql & "M=" & M & " AND "  'M is the same as Course_ID (no longer used)
	sql = sql & "Uid='" & Uid & "' "
	sql = sql & "ORDER BY Start_Timestamp DESC"

	'Set rs = conn.execute(sql)
	rs.open sql, conn

	'Search Database for a Training_ID record matching Course_ID and User_ID
	NewFlag = 1
	If Not rs.EOF Then
	'	rs.movefirst
		Training_ID = Trim(rs("Training_ID"))
		Training_Progress = Trim(rs("Training_Progress"))
		If Instr(Training_Progress,0) Then
			NewFlag = 0
		End If
	End If
	
	'If necessary, create a new Training_ID record containing Course_ID and User_ID
	If (NewFlag = 1) Then
	
		sql = "INSERT INTO Training "
		sql = sql & "(Uid,M) "
		sql = sql & "VALUES ('"
		sql = sql & Uid & "',"
		sql = sql & Start_Timestamp & "','"
		sql = sql & M & ")"

		Err.Clear
		Set rs1 = conn.Execute(sql)
		
  		If Err.Number > 0 then
  			ErrFlag = 1
			Response.write "VBScript Errors Occured:" & "<P>"
     		Response.write "Error Number=" & Err.number & "<P>"
     		Response.write "Error Descr.=" & Err.description & "<P>"
			Response.write "Help Context=" & Err.helpcontext & "<P>" 
			Response.write "Help Path=" & Err.helppath & "<P>"
			Response.write "Native Error=" & Err.nativeerror & "<P>"
			Response.write "Source=" & Err.source & "<P>"
 			Response.write "SQLState=" & Err.sqlstate & "<P>"
  		End If
  		
		If conn.errors.count > 0 Then
			ErrFlag = 1
			Response.write "Database Errors Occurred" & "<P>"
			Response.write sql & "<P>"
			For counter= 0 to conn.errors.count
				Response.write "Error #" & conn.errors(counter).number & "<P>"
				Response.write "Error desc. -> " & conn.errors(counter).description & "<P>"
			Next
		Else
			'Response.write "Everything Went Fine. Training is updated now!" & "<P>"
		End If
		
		'Still theoretically need to somehow lock the transaction so that no other Training_ID can be inserted in THIS millisecond
		
		'Get the Training_ID of the recently inserted record.
		sql = "SELECT Max(Training_ID) FROM Training WHERE "
		sql = sql & "M=" & M & " AND "
		sql = sql & "Uid='" & Uid & "'"
		Set rs2 = conn.execute(sql)
		Training_ID = Trim(rs2("Training_ID"))

	End If
	
	'Collect the database trash
	rs.Close
	conn.Close
	Set rs = Nothing
	Set rs1 = Nothing
	Set rs2 = Nothing
	Set conn = Nothing
	
	If Not (ErrFlag = 1) Then
		url = "../../launch.htm?Training_ID=" & Training_ID
		Response.redirect url
	Else
		Response.write " An error occured. Cannot proceed.<P>"
	End If
%>

