<!--- This script is called by the Abstract page or LMS server
	'Input - via "GET" (Course_ID, User_ID)
	'Output - via redirect (start.asp?Training_ID=[])
	'Work - Look for a record in Training table containing passed values for Uid and Course_ID.
	'		If found, retrieve Training_ID, redirect.
	'		If not found, insert record, retrieve Training_ID, redirect.
	'Author - Travis M. Lynch, Carney Interactive, 3/29/01 --->


<!---Opening tags for this page--->
	<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.0 Transitional//EN">
	<HTML>


<!---Declare the html header for this page--->
	<HEAD>
	<TITLE>Search</TITLE>
	</HEAD>


<!---Get Inputs from URLstring--->
	<CFIF Not IsDefined("URL.Course_ID")>
		<CFSET Course_ID = "1">
	<CFELSE>
		<CFSET Course_ID = #URL.Course_ID#>
	</CFIF>
	<CFIF Not IsDefined("URL.User_ID")>
		<CFSET User_ID = "1">
	<CFELSE>
		<CFSET User_ID = #URL.User_ID#>
	</CFIF>
	<CFIF Not IsDefined("URL.newuser")>
		<CFSET newuser = "true">
	<CFELSE>
		<CFSET newuser = #URL.newuser#>
	</CFIF>

	
<!---Search Database for a Training_ID record matching Course_ID and User_ID--->
	<CFQUERY name="getTraining_ID" datasource="training">
		SELECT Training_ID
		FROM Training
		WHERE Course_ID=#Course_ID# AND User_ID=#User_ID#;
	</CFQUERY>
	
	
<!---Lock the Server transaction--->
	<CFLOCK NAME="#CreateUUID()#" TIMEOUT="20">
	<CFTRANSACTION>
	
	
<!---If necessary, create a new Training_ID record containing Course_ID and User_ID--->
	<CFIF getTraining_ID.RecordCount IS "0">
		<CFQUERY NAME="insertTraining_ID" DATASOURCE="training">
			INSERT INTO Training (Course_ID, User_ID)
			VALUES (#Course_ID#, #User_ID#)
		</CFQUERY>
	</CFIF>
	
	
<!---Retrieve the most recently created Training_ID--->
	<CFQUERY name="getLastTraining_ID" datasource="training">
		SELECT Max(Training_ID) as lastTraining_ID
		FROM Training
		WHERE Course_ID=#Course_ID# AND User_ID=#User_ID#;
	</CFQUERY>

	
<!---Unlock the Server transaction--->
	</CFTRANSACTION>
	</CFLOCK>

	
<!---Open the launch page with the most recent Training_ID--->
	<CFLOCATION URL="../../launch.htm?Training_ID=#Val(getLastTraining_ID.lastTraining_ID)#&newuser=#newuser#" ADDTOKEN="NO">

		
<!---Closing tags for this page--->
	<BODY></BODY></HTML>