/******************************************************************************
**
** Filename:  outputFunctions.js
**
** File Description: The outputFunctions file contains a library of functions
**    used by the Metadata Generator output HTML pages.
**
** Author:  ADLI Project
**
** Company Name: Concurrent Technologies Corporation (CTC)
**
** Module/Package Name:
** Module/Package Description:
**
** Design Issues:
**
** Implementation Issues:
** Known Problems:
** Side Effects:
**
*******************************************************************************
**
** Concurrent Technologies Corporation (CTC) grants you ("Licensee") a non-
** exclusive, royalty free, license to use, modify and redistribute this
** software in source and binary code form, provided that i) this copyright
** notice and license appear on all copies of the software; and ii) Licensee
** does not utilize the software in a manner which is disparaging to CTC.
**
** This software is provided "AS IS," without a warranty of any kind.  ALL
** EXPRESS OR IMPLIED CONDITIONS, REPRESENTATIONS AND WARRANTIES, INCLUDING ANY
** IMPLIED WARRANTY OF MERCHANTABILITY, FITNESS FOR A PARTICULAR PURPOSE OR NON-
** INFRINGEMENT, ARE HEREBY EXCLUDED.  CTC AND ITS LICENSORS SHALL NOT BE LIABLE
** FOR ANY DAMAGES SUFFERED BY LICENSEE AS A RESULT OF USING, MODIFYING OR
** DISTRIBUTING THE SOFTWARE OR ITS DERIVATIVES.  IN NO EVENT WILL CTC  OR ITS
** LICENSORS BE LIABLE FOR ANY LOST REVENUE, PROFIT OR DATA, OR FOR DIRECT,
** INDIRECT, SPECIAL, CONSEQUENTIAL, INCIDENTAL OR PUNITIVE DAMAGES, HOWEVER
** CAUSED AND REGARDLESS OF THE THEORY OF LIABILITY, ARISING OUT OF THE USE OF
** OR INABILITY TO USE SOFTWARE, EVEN IF CTC  HAS BEEN ADVISED OF THE
** POSSIBILITY OF SUCH DAMAGES.
**
*******************************************************************************
**
** Date Changed   Author of Change  Reason for Changes
** ------------   ----------------  -------------------------------------------
**
**
******************************************************************************/


/*************************************************************************
**
** Method:  getParams()
** Input:   none
** Output:  none
**
** Description:
**    Uses the location bar to get the posted information from the form HTML
**    page and creates an array of strings with this information
**
*************************************************************************/
function getParams()
{
   var urlString = window.location.href;
   var params = new Array();
   {
      var urlDataArr = urlString.substring(urlString).split('?');
      
      var dataArr = urlDataArr[1].substring(urlDataArr[1]).split('&');
      
      for (var i=0; i<dataArr.length; i++)
      {
         nameValArr = dataArr[i].split('=');
         params[nameValArr[0]] = nameValArr[1];
         
         var parts = nameValArr[1].split('+');
         if (parts.length > 0)
         {
            var newStr = parts[0];
            
            for (var k=1; k<parts.length; k++)
            {
               newStr += " " + parts[k];
            }
            
            params[nameValArr[0]] = newStr;
         }
         
         params[nameValArr[0]] = unescape( params[nameValArr[0]]);
         
      }
   }

   return params;
}

/*************************************************************************
**
** Method:  trim_string()
** Input:   string
** Output:  none
**
** Description:
**    Strips the string from white space before and after it.
**
*************************************************************************/
function  trim_string( the_string )
{
   var is_found = false;
   var f = 0;
   var l = the_string.length;
   
   for ( i = 0; ( ( i < the_string.length - 1 ) && ( ! is_found ) ); i++ )
   {
      if ( the_string.charAt(i) != ' ' )
      {
         f = i;
         is_found = true;
      }
   }
   is_found = false; 

   for ( i = the_string.length - 1; ( ( i > 0 ) && ( ! is_found ) ); i-- )
   {
      if ( the_string.charAt(i) != ' ' )
      {
         var l = i + 1;
         
         is_found = true;
      }
   }
   var new_string = the_string.substring( f, l );
   
   return new_string;
}

/*************************************************************************
**
** Method:  indent()
** Input:   int
** Output:  none
**
** Description:
**    Returns a string of "&nbsp;" based on the number desired.
**
*************************************************************************/
function indent( spaces )
{  
   spaceChar = "&nbsp;"
   var msg = "";
   
   for ( i = 0; i < spaces; i++)
   {
      msg += spaceChar;
   }
   
   return msg;
}

/*************************************************************************
**
** Method:  tab()
** Input:   int
** Output:  none
**
** Description:
**    Returns a string of "&nbsp;" based on the number of indentions desired.
**
*************************************************************************/
function tab( num )
{
   var tabSpace = 3;
   var msg = "";
   
   for ( j = 0; j < num; j++)
   {
      msg += indent(tabSpace);
   }
   
   return msg;
}

/*************************************************************************
**
** Method:  tag()
** Input:   int
** Output:  none
**
** Description:
**    Returns a the input string with a "&lt;" befor and a "&gt;" after it.
**
*************************************************************************/
function tag( name )
{
   var openTag = "&lt;";
   var closeTag = "&gt;";
   
   return openTag + name + closeTag;
}