<!DOCTYPE html 
   PUBLIC "-//W3C//DTD XHTML 1.0 Strict//EN"
   "DTD/xhtml1-strict.dtd">

<html>
   <head>
   <title>Carney Interactive Learning Object Metadata Tool
   </title>
   
   <script type="text/javascript">
   /************************************************************************
   **
   ** Filename:  main.htm
   **
   ** File Description: The Metadata main provides an table of contents for
   **    the Metadata Generator
   **
   ** Author:  ADLI Project
   **
   ** Company Name: Concurrent Technologies Corporation (CTC)
   **
   ** Module/Package Name:
   ** Module/Package Description:
   **
   ** Design Issues:
   **
   ** Implementation Issues:
   ** Known Problems:
   ** Side Effects:
   **
   ** References:  SCORM Version 1.0 (Chapter 7)
   **
   **************************************************************************
   **
   ** Advanced Distributed Learning Co-Laboratory (ADL Co-Lab) grants you
   ** ("Licensee") a non-exclusive, royalty free, license to use, modify and
   ** redistribute this software in source and binary code form, provided
   ** that i) this copyright notice and license appear on all copies of the
   ** software; and ii) Licensee does not utilize the software in a manner
   ** which is disparaging to CTC.
   **
   ** This software is provided "AS IS," without a warranty of any kind.  ALL
   ** EXPRESS OR IMPLIED CONDITIONS, REPRESENTATIONS AND WARRANTIES,
   ** INCLUDING ANY IMPLIED WARRANTY OF MERCHANTABILITY, FITNESS FOR A
   ** PARTICULAR PURPOSE OR NON- INFRINGEMENT, ARE HEREBY EXCLUDED.  CTC AND
   ** ITS LICENSORS SHALL NOT BE LIABLE FOR ANY DAMAGES SUFFERED BY LICENSEE
   ** AS A RESULT OF USING, MODIFYING OR DISTRIBUTING THE SOFTWARE OR ITS
   ** DERIVATIVES.  IN NO EVENT WILL CTC  OR ITS LICENSORS BE LIABLE FOR ANY
   ** LOST REVENUE, PROFIT OR DATA, OR FOR DIRECT, INDIRECT, SPECIAL,
   ** CONSEQUENTIAL, INCIDENTAL OR PUNITIVE DAMAGES, HOWEVER CAUSED AND
   ** REGARDLESS OF THE THEORY OF LIABILITY, ARISING OUT OF THE USE OF OR
   ** INABILITY TO USE SOFTWARE, EVEN IF CTC  HAS BEEN ADVISED OF THE
   ** POSSIBILITY OF SUCH DAMAGES.
   **
   *************************************************************************
   **
   ** Date Changed   Author of Change  Reason for Changes
   ** ------------   ----------------  -------------------------------------
   ** 9/19/2000      Jeff Falls        Version 1.0.1 changed due to Perfect
   **                                  Tracker ticket #165.
   **
   ************************************************************************/
   </script>
   
<!--- QUERY THE DATABASE --->
			<CFQUERY NAME="getCourseRecords"
				DATASOURCE="meta_ccsh">
				SELECT * FROM Course
				ORDER by Entry
			</CFQUERY>
<!--- QUERY THE DATABASE --->
			<CFQUERY NAME="getContentRecords"
				DATASOURCE="meta_ccsh">
				SELECT * FROM Content
				ORDER by Entry
			</CFQUERY>
<!--- QUERY THE DATABASE --->
			<CFQUERY NAME="getMediaRecords"
				DATASOURCE="meta_ccsh">
				SELECT * FROM Media
				ORDER by Entry
			</CFQUERY>
   
   <link rel="stylesheet" href="include/MetadataGenerator.css"
         type="text/css" />
   
   </head>

   <body>
   
      <table>
         <tr>
            <td class="adlLogo" rowspan="2">
               <img alt="Carney" src="button.jpg" />
            </td>
            <td class="scorm">
               <strong>
                  <em>Sharable Courseware Object Reference Model (SCORM)
                     Version 1.0
                  </em>
               </strong>
            </td>
         </tr>
         <tr>
            <td class="adlTitle">
               <strong>
                  <em>Carney Interactive Learning Object Metadata Generator</em>
               </strong>
               <br /><br />
            </td>
         </tr>
      </table>
      
      <div>
         <table class="content" border="0">
            <tr>
               <td class="outerCol">
                  &nbsp;
               </td>
               <td class="innerCol">
                  Welcome to the Carney Interactive Learning Object Metadata tool.  
				  This tool is based on the 
				  <a href="readme.htm" target="_blank">ADL SCORM Version 1.0 Quick and Simple Metadata Generator Version 1.0.1.</a>
				  &nbsp; Pick a function from a popup list on the left, select a data record, then click 'Submit'.
				  To return to this page from any of the Metadata Generator tools,
                  close the window for that tool.
                  <br /><br /><br />
               </td>
               <td class="outerCol">
                  &nbsp;
               </td>
            </tr>
            
            <tr>
               <td class="outerCol">
                  &nbsp;
               </td>
               <td class="innerCol">
			   <H3>Course</h3>
				<CFFORM NAME="Form1" ACTION="course.cfm" TARGET="inputwindow" METHOD="POST">
					<select name="action">
                    	<option value="new" >New course record based on . . .</option>
                     	<option value="modify">Modify this course record . . .</option>
                     	<option value="xml">Print XML for this course record . . .</option>
					</select>
					<CFSELECT NAME="id"
        				QUERY="getCourseRecords"
        				VALUE="ID"
        				DISPLAY="Entry"
        				REQUIRED="no"
        				MULTIPLE="no"
        				SIZE="1">
					</CFSELECT>
					<input type="submit" value="Submit" />
				</CFFORM><BR />
			   <H3>Content</h3>
				<CFFORM NAME="Form2" ACTION="content.cfm" TARGET="inputwindow" METHOD="POST">
					<select name="action">
                    	<option value="new" >New content record based on . . .</option>
                     	<option value="modify">Modify this content record . . .</option>
                     	<option value="xml">Print XML for this content record . . .</option>
					</select>
					<CFSELECT NAME="id"
        				QUERY="getContentRecords"
        				VALUE="ID"
        				DISPLAY="Entry"
        				REQUIRED="no"
        				MULTIPLE="no"
        				SIZE="1">
					</CFSELECT>
					<input type="submit" value="Submit" />
				</CFFORM><BR />
			   <H3>Media</h3>
				<CFFORM NAME="Form3" ACTION="media.cfm" TARGET="inputwindow" METHOD="POST">
					<select name="action">
                    	<option value="new" >New media record based on . . .</option>
                     	<option value="modify">Modify this media record . . .</option>
                     	<option value="xml">Print XML for this media record . . .</option>
					</select>
					<CFSELECT NAME="id"
        				QUERY="getMediaRecords"
        				VALUE="ID"
        				DISPLAY="Entry"
        				REQUIRED="no"
        				MULTIPLE="no"
        				SIZE="1">
					</CFSELECT>
					<input type="submit" value="Submit" />
				</CFFORM>
			   

                  <br />
                  
               </td>
               <td class="outerCol">
                  &nbsp;
               </td>
            </tr>
         </table>
      </div>
   </body>
</html>